Get cluster capabilities
curl --request GET \
--url https://api.akua.dev/v1/clusters/{id}/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/clusters/{id}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/clusters/{id}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_groups": [
"<string>"
],
"storage_classes": [
{
"name": "<string>",
"provisioner": "<string>",
"is_default": true,
"reclaim_policy": "<string>",
"volume_binding_mode": "<string>"
}
],
"gateway_classes": [
"<string>"
],
"gateways": [
{
"namespace": "<string>",
"name": "<string>",
"gateway_class_name": "<string>",
"listeners": [
{
"name": "<string>",
"protocol": "<string>",
"port": 123,
"hostname": "<string>"
}
],
"addresses": [
{
"type": "<string>",
"value": "<string>"
}
],
"status_message": "<string>"
}
],
"ingress_classes": [
"<string>"
],
"nodes": [
{
"name": "<string>",
"roles": [
"<string>"
],
"version": "<string>",
"cpu_capacity": "<string>",
"memory_capacity": "<string>",
"os_image": "<string>",
"architecture": "<string>",
"ready": true,
"worker_capacity": true,
"status_message": "<string>",
"created_at": "<string>",
"operating_system": "<string>"
}
],
"default_gateway": {
"namespace": "<string>",
"name": "<string>"
}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Clusters
Get cluster capabilities
Gets the last observed Kubernetes capability snapshot for a cluster.
GET
/
clusters
/
{id}
/
capabilities
Get cluster capabilities
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.
Required string length:
1 - 53Example:
"ws_j572abc123def456"
Path Parameters
Cluster ID.
Required string length:
1 - 54Response
Cluster capabilities
⌘I